diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-net-device.h ns-3.44/src/wimax/model/bs-net-device.h
--- ns-3.43/src/wimax/model/bs-net-device.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-net-device.h	2025-03-09 16:55:49.815372700 -0700
@@ -35,7 +35,7 @@
 class BsServiceFlowManager;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  *
  * BaseStation NetDevice
  */
@@ -59,25 +59,25 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     BaseStationNetDevice();
     /**
      * Constructor
      *
-     * \param node the node
-     * \param phy the wimax phy
+     * @param node the node
+     * @param phy the wimax phy
      */
     BaseStationNetDevice(Ptr<Node> node, Ptr<WimaxPhy> phy);
     /**
      * Constructor
      *
-     * \param node the node
-     * \param phy the wimax phy
-     * \param uplinkScheduler uplink scheduler
-     * \param bsScheduler bs scheduler
+     * @param node the node
+     * @param phy the wimax phy
+     * @param uplinkScheduler uplink scheduler
+     * @param bsScheduler bs scheduler
      */
     BaseStationNetDevice(Ptr<Node> node,
                          Ptr<WimaxPhy> phy,
@@ -85,314 +85,314 @@
                          Ptr<BSScheduler> bsScheduler);
     ~BaseStationNetDevice() override;
     /**
-     * \param initialRangInterval Time between initial ranging regions assigned by the BS
+     * @param initialRangInterval Time between initial ranging regions assigned by the BS
      */
     void SetInitialRangingInterval(Time initialRangInterval);
     /**
-     * \brief initializes the BS net device and sets its parameters to the default values
+     * @brief initializes the BS net device and sets its parameters to the default values
      */
     void InitBaseStationNetDevice();
     /**
-     * \returns Time between initial ranging regions assigned by the BS
+     * @returns Time between initial ranging regions assigned by the BS
      */
     Time GetInitialRangingInterval() const;
     /**
-     * \param dcdInterval Time between transmission of DCD messages
+     * @param dcdInterval Time between transmission of DCD messages
      */
     void SetDcdInterval(Time dcdInterval);
     /**
-     * \returns the Time between transmission of DCD messages
+     * @returns the Time between transmission of DCD messages
      */
     Time GetDcdInterval() const;
     /**
-     * \param ucdInterval the Time between transmission of UCD messages
+     * @param ucdInterval the Time between transmission of UCD messages
      */
     void SetUcdInterval(Time ucdInterval);
     /**
-     * \returns Time between transmission of UCD messages
+     * @returns Time between transmission of UCD messages
      */
     Time GetUcdInterval() const;
     /**
-     * \param interval the Wait for DSA/DSC Acknowledge timeout
+     * @param interval the Wait for DSA/DSC Acknowledge timeout
      */
     void SetIntervalT8(Time interval);
     /**
-     * \returns the Wait for DSA/DSC Acknowledge timeout
+     * @returns the Wait for DSA/DSC Acknowledge timeout
      */
     Time GetIntervalT8() const;
     /**
-     * \param maxRangCorrectionRetries the number of retries on contention Ranging Requests
+     * @param maxRangCorrectionRetries the number of retries on contention Ranging Requests
      */
     void SetMaxRangingCorrectionRetries(uint8_t maxRangCorrectionRetries);
     /**
-     * \returns the number of retries on contention Ranging Requests
+     * @returns the number of retries on contention Ranging Requests
      */
     uint8_t GetMaxRangingCorrectionRetries() const;
     /**
-     * \param maxInvitedRangRetries the number of retries on contention Ranging
+     * @param maxInvitedRangRetries the number of retries on contention Ranging
      */
     void SetMaxInvitedRangRetries(uint8_t maxInvitedRangRetries);
     /**
-     * \returns the number of retries on contention Ranging
+     * @returns the number of retries on contention Ranging
      */
     uint8_t GetMaxInvitedRangRetries() const;
     /**
-     * \param rangReqOppSize The ranging opportunity size in symbols
+     * @param rangReqOppSize The ranging opportunity size in symbols
      */
     void SetRangReqOppSize(uint8_t rangReqOppSize);
     /**
-     * \returns The ranging opportunity size in symbols
+     * @returns The ranging opportunity size in symbols
      */
     uint8_t GetRangReqOppSize() const;
     /**
-     * \param bwReqOppSize The bandwidth request opportunity size in symbols
+     * @param bwReqOppSize The bandwidth request opportunity size in symbols
      */
     void SetBwReqOppSize(uint8_t bwReqOppSize);
     /**
-     * \returns The bandwidth request opportunity size in symbols
+     * @returns The bandwidth request opportunity size in symbols
      */
     uint8_t GetBwReqOppSize() const;
     /**
-     * \param dlSymbols the number of symbols in the downlink sub-frame
+     * @param dlSymbols the number of symbols in the downlink sub-frame
      */
     void SetNrDlSymbols(uint32_t dlSymbols);
     /**
-     * \returns the number of symbols in the downlink sub-frame
+     * @returns the number of symbols in the downlink sub-frame
      */
     uint32_t GetNrDlSymbols() const;
     /**
-     * \param ulSymbols the number of symbols in the uplink sub-frame
+     * @param ulSymbols the number of symbols in the uplink sub-frame
      */
     void SetNrUlSymbols(uint32_t ulSymbols);
     /**
-     * \returns the number of symbols in the uplink sub-frame
+     * @returns the number of symbols in the uplink sub-frame
      */
     uint32_t GetNrUlSymbols() const;
     /**
-     * \returns the number dcd messages already sent
+     * @returns the number dcd messages already sent
      */
     uint32_t GetNrDcdSent() const;
     /**
-     * \returns the number ucd messages already sent
+     * @returns the number ucd messages already sent
      */
     uint32_t GetNrUcdSent() const;
     /**
-     * \returns the DL subframe start time
+     * @returns the DL subframe start time
      */
     Time GetDlSubframeStartTime() const;
     /**
-     * \returns the UL subframe start time
+     * @returns the UL subframe start time
      */
     Time GetUlSubframeStartTime() const;
     /**
-     * \returns the ranging opp number
+     * @returns the ranging opp number
      */
     uint8_t GetRangingOppNumber() const;
     /**
-     * \returns a pointer to the SS manager
+     * @returns a pointer to the SS manager
      */
     Ptr<SSManager> GetSSManager() const;
     /**
-     * \param ssManager the SS manager to be installed on the BS
+     * @param ssManager the SS manager to be installed on the BS
      */
     void SetSSManager(Ptr<SSManager> ssManager);
     /**
-     * \returns a pointer to the uplink scheduler installed on the device
+     * @returns a pointer to the uplink scheduler installed on the device
      */
     Ptr<UplinkScheduler> GetUplinkScheduler() const;
     /**
-     * \param ulScheduler the ulScheduler to be isnstalled on the BS
+     * @param ulScheduler the ulScheduler to be isnstalled on the BS
      */
     void SetUplinkScheduler(Ptr<UplinkScheduler> ulScheduler);
     /**
-     * \returns a pointer to the link manager installed on the BS
+     * @returns a pointer to the link manager installed on the BS
      */
     Ptr<BSLinkManager> GetLinkManager() const;
     /**
-     * \param bsSchedule the downlink scheduler to be installed on the BS
+     * @param bsSchedule the downlink scheduler to be installed on the BS
      */
     void SetBSScheduler(Ptr<BSScheduler> bsSchedule);
     /**
-     * \returns The BS scheduler installed on the BS
+     * @returns The BS scheduler installed on the BS
      */
     Ptr<BSScheduler> GetBSScheduler() const;
     /**
-     * \param linkManager The link manager installed on the BS
+     * @param linkManager The link manager installed on the BS
      */
     void SetLinkManager(Ptr<BSLinkManager> linkManager);
     /**
-     * \returns a pointer to the classifier installed on the BS
+     * @returns a pointer to the classifier installed on the BS
      */
     Ptr<IpcsClassifier> GetBsClassifier() const;
     /**
-     * \param classifier a classifier to be installed on the BS
+     * @param classifier a classifier to be installed on the BS
      */
     void SetBsClassifier(Ptr<IpcsClassifier> classifier);
 
     /**
-     * \returns PS duration
+     * @returns PS duration
      */
     Time GetPsDuration() const;
     /**
-     * \returns symbol duration
+     * @returns symbol duration
      */
     Time GetSymbolDuration() const;
     /**
-     * \brief Start device
+     * @brief Start device
      */
     void Start() override;
     /**
-     * \brief Stop device
+     * @brief Stop device
      */
     void Stop() override;
     /**
-     * \brief Enqueue a packet into a connection queue
-     * \param packet the packet to be enqueued
-     * \param hdrType the mac header type to be appended to the packet
-     * \param connection the connection to be used
-     * \return true if successful
+     * @brief Enqueue a packet into a connection queue
+     * @param packet the packet to be enqueued
+     * @param hdrType the mac header type to be appended to the packet
+     * @param connection the connection to be used
+     * @return true if successful
      */
     bool Enqueue(Ptr<Packet> packet,
                  const MacHeaderType& hdrType,
                  Ptr<WimaxConnection> connection) override;
     /**
-     * \param cid connection ID
-     * \returns a pointer to the connection
+     * @param cid connection ID
+     * @returns a pointer to the connection
      */
     Ptr<WimaxConnection> GetConnection(Cid cid);
 
     /**
-     * \brief Mark uplink allocations
+     * @brief Mark uplink allocations
      */
     void MarkUplinkAllocations();
     /**
-     * \brief Mark ranging opp start
-     * \param rangingOppStartTime start time
+     * @brief Mark ranging opp start
+     * @param rangingOppStartTime start time
      */
     void MarkRangingOppStart(Time rangingOppStartTime);
     /**
-     * \returns service flow manager
+     * @returns service flow manager
      */
     Ptr<BsServiceFlowManager> GetServiceFlowManager() const;
     /**
-     * \brief Set service flow manager
-     * \param sfm the service flow manager
+     * @brief Set service flow manager
+     * @param sfm the service flow manager
      */
     void SetServiceFlowManager(Ptr<BsServiceFlowManager> sfm);
 
   private:
     void DoDispose() override;
     /**
-     * \brief Start frame function
+     * @brief Start frame function
      */
     void StartFrame();
     /**
-     * \brief Start DL subframe function
+     * @brief Start DL subframe function
      */
     void StartDlSubFrame();
     /**
-     * \brief End DL subframe function
+     * @brief End DL subframe function
      */
     void EndDlSubFrame();
     /**
-     * \brief Start UL subframe function
+     * @brief Start UL subframe function
      */
     void StartUlSubFrame();
     /**
-     * \brief End UL subframe function
+     * @brief End UL subframe function
      */
     void EndUlSubFrame();
     /**
-     * \brief End frame function
+     * @brief End frame function
      */
     void EndFrame();
     /**
-     * \brief Send packet
-     * \param packet to send
-     * \param source MAC address
-     * \param dest destination MAC address
-     * \param protocolNumber protocol number
-     * \returns true if successful
+     * @brief Send packet
+     * @param packet to send
+     * @param source MAC address
+     * @param dest destination MAC address
+     * @param protocolNumber protocol number
+     * @returns true if successful
      */
     bool DoSend(Ptr<Packet> packet,
                 const Mac48Address& source,
                 const Mac48Address& dest,
                 uint16_t protocolNumber) override;
     /**
-     * \brief Receive packet
-     * \param packet to send
+     * @brief Receive packet
+     * @param packet to send
      */
     void DoReceive(Ptr<Packet> packet) override;
     /**
-     * \brief creates the MAC management messages DL-MAP and UL-MAP
+     * @brief creates the MAC management messages DL-MAP and UL-MAP
      */
     void CreateMapMessages();
     /**
-     * \brief creates the channel descriptor MAC management messages DCD and UCD
-     * \param sendDcd true if send DCD
-     * \param sendUcd true if send UCD
+     * @brief creates the channel descriptor MAC management messages DCD and UCD
+     * @param sendDcd true if send DCD
+     * @param sendUcd true if send UCD
      */
     void CreateDescriptorMessages(bool sendDcd, bool sendUcd);
     /**
-     * \brief Send burst function
+     * @brief Send burst function
      */
     void SendBursts();
 
     /**
-     * \brief Create DL map
-     * \returns packet
+     * @brief Create DL map
+     * @returns packet
      */
     Ptr<Packet> CreateDlMap();
     /**
-     * \brief Create DCD
-     * \returns packet
+     * @brief Create DCD
+     * @returns packet
      */
     Ptr<Packet> CreateDcd();
     /**
-     * \brief Create UL map
-     * \returns packet
+     * @brief Create UL map
+     * @returns packet
      */
     Ptr<Packet> CreateUlMap();
     /**
-     * \brief Create UCD
-     * \returns packet
+     * @brief Create UCD
+     * @returns packet
      */
     Ptr<Packet> CreateUcd();
     /**
-     * \brief Send DL burst profiles
-     * \param dcd burst profile
+     * @brief Send DL burst profiles
+     * @param dcd burst profile
      */
     void SetDlBurstProfiles(Dcd* dcd);
     /**
-     * \brief Send UL burst profiles
-     * \param ucd burst profile
+     * @brief Send UL burst profiles
+     * @param ucd burst profile
      */
     void SetUlBurstProfiles(Ucd* ucd);
 
     /**
-     * \brief Mark uplink allocation start
-     * \param allocationStartTime allocation start time
+     * @brief Mark uplink allocation start
+     * @param allocationStartTime allocation start time
      */
     void MarkUplinkAllocationStart(Time allocationStartTime);
     /**
-     * \brief Mark uplink allocation end
-     * \param allocationEndTime allocation end time
-     * \param cid connection ID
-     * \param uiuc
+     * @brief Mark uplink allocation end
+     * @param allocationEndTime allocation end time
+     * @param cid connection ID
+     * @param uiuc
      */
     void MarkUplinkAllocationEnd(Time allocationEndTime, Cid cid, uint8_t uiuc);
     /**
-     * \brief Uplink allocation start
+     * @brief Uplink allocation start
      */
     void UplinkAllocationStart();
     /**
-     * \brief Uplink allocation end
-     * \param cid connection ID
-     * \param uiuc
+     * @brief Uplink allocation end
+     * @param cid connection ID
+     * @param uiuc
      */
     void UplinkAllocationEnd(Cid cid, uint8_t uiuc);
     /**
-     * \brief Ranging opp start
+     * @brief Ranging opp start
      */
     void RangingOppStart();
 
@@ -460,7 +460,7 @@
      * The trace source fired when packets come into the "top" of the device
      * at the L3/L2 transition, before being queued for transmission.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_bsTxTrace; ///< the base station transmit trace callback
 
@@ -468,7 +468,7 @@
      * The trace source fired when packets coming into the "top" of the device
      * are dropped at the MAC layer during transmission.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>>
         m_bsTxDropTrace; ///< base station transmit drop trace callback
@@ -478,7 +478,7 @@
      * immediately before being forwarded up to higher layers (at the L2/L3
      * transition).  This is a promiscuous trace.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>>
         m_bsPromiscRxTrace; ///< base station promiscuous receive trace callback
@@ -488,7 +488,7 @@
      * immediately before being forwarded up to higher layers (at the L2/L3
      * transition).  This is a non- promiscuous trace.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_bsRxTrace; ///< base station receive trace callback
 
@@ -496,7 +496,7 @@
      * The trace source fired when packets coming into the "top" of the device
      * are dropped at the MAC layer during reception.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_bsRxDropTrace; ///< base station receive drop trace callback
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-scheduler.h ns-3.44/src/wimax/model/bs-scheduler.h
--- ns-3.43/src/wimax/model/bs-scheduler.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-scheduler.h	2025-03-09 16:55:49.815372700 -0700
@@ -29,7 +29,7 @@
 class Cid;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  *
  * BaseStation Scheduler
  */
@@ -40,30 +40,30 @@
     /**
      * Constructor
      *
-     * \param bs base station device
+     * @param bs base station device
      */
     BSScheduler(Ptr<BaseStationNetDevice> bs);
     ~BSScheduler() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief This function returns all the downlink bursts scheduled for the next
+     * @brief This function returns all the downlink bursts scheduled for the next
      * downlink sub-frame
-     * \returns  all the downlink bursts scheduled for the next downlink sub-frame
+     * @returns  all the downlink bursts scheduled for the next downlink sub-frame
      */
     virtual std::list<std::pair<OfdmDlMapIe*, Ptr<PacketBurst>>>* GetDownlinkBursts() const = 0;
     /**
-     * \brief This function adds a downlink burst to the list of downlink bursts
+     * @brief This function adds a downlink burst to the list of downlink bursts
      * scheduled for the next downlink sub-frame
-     * \param connection a pointer to connection in which the burst will be sent
-     * \param diuc downlink iuc
-     * \param modulationType the modulation type of the burst
-     * \param burst the downlink burst to add to the downlink sub frame
+     * @param connection a pointer to connection in which the burst will be sent
+     * @param diuc downlink iuc
+     * @param modulationType the modulation type of the burst
+     * @param burst the downlink burst to add to the downlink sub frame
      */
     virtual void AddDownlinkBurst(Ptr<const WimaxConnection> connection,
                                   uint8_t diuc,
@@ -71,44 +71,44 @@
                                   Ptr<PacketBurst> burst) = 0;
 
     /**
-     * \brief the scheduling function for the downlink subframe.
+     * @brief the scheduling function for the downlink subframe.
      */
     virtual void Schedule() = 0;
     /**
-     * \brief Selects a connection from the list of connections having packets to be sent .
-     * \param connection will point to a connection that have packets to be sent
-     * \returns false if no connection has packets to be sent, true otherwise
+     * @brief Selects a connection from the list of connections having packets to be sent .
+     * @param connection will point to a connection that have packets to be sent
+     * @returns false if no connection has packets to be sent, true otherwise
      */
     virtual bool SelectConnection(Ptr<WimaxConnection>& connection) = 0;
 
     /**
-     * \brief Creates a downlink UGS burst
-     * \param serviceFlow the service flow of the burst
-     * \param modulationType the modulation type to be used for the burst
-     * \param availableSymbols maximum number of OFDM symbols to be used by the burst
-     * \returns a Burst (list of packets)
+     * @brief Creates a downlink UGS burst
+     * @param serviceFlow the service flow of the burst
+     * @param modulationType the modulation type to be used for the burst
+     * @param availableSymbols maximum number of OFDM symbols to be used by the burst
+     * @returns a Burst (list of packets)
      */
     virtual Ptr<PacketBurst> CreateUgsBurst(ServiceFlow* serviceFlow,
                                             WimaxPhy::ModulationType modulationType,
                                             uint32_t availableSymbols) = 0;
 
     /**
-     * \brief Get the base station.
-     * \returns the base station net device
+     * @brief Get the base station.
+     * @returns the base station net device
      */
     virtual Ptr<BaseStationNetDevice> GetBs();
     /**
-     * \brief Set the base station.
-     * \param bs the base station net device
+     * @brief Set the base station.
+     * @param bs the base station net device
      */
     virtual void SetBs(Ptr<BaseStationNetDevice> bs);
 
     /**
-     * \brief Check if the packet fragmentation is possible for transport connection.
-     * \param connection the downlink connection
-     * \param availableSymbols maximum number of OFDM symbols to be used by the burst
-     * \param modulationType the modulation type to be used for the burst
-     * \returns false if packet fragmentation is not possible, true otherwise
+     * @brief Check if the packet fragmentation is possible for transport connection.
+     * @param connection the downlink connection
+     * @param availableSymbols maximum number of OFDM symbols to be used by the burst
+     * @param modulationType the modulation type to be used for the burst
+     * @returns false if packet fragmentation is not possible, true otherwise
      */
     bool CheckForFragmentation(Ptr<WimaxConnection> connection,
                                int availableSymbols,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-scheduler-rtps.cc ns-3.44/src/wimax/model/bs-scheduler-rtps.cc
--- ns-3.43/src/wimax/model/bs-scheduler-rtps.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-scheduler-rtps.cc	2025-03-09 16:55:49.815372700 -0700
@@ -104,7 +104,7 @@
 }
 
 /**
- * \brief A DownLink Scheduler for rtPS Flows
+ * @brief A DownLink Scheduler for rtPS Flows
  *
  * The DL Scheduler assigns the available bandwidth in the following order:
  * - IR Connections
